#if 1
void __sputs(__reg("x") void *)="\tlda\t#1\n\tswi";
void __sputc(__reg("d") char)="\tlda\t#3\n\tswi";
void __sgets(__reg("x") char *,char)="\tlda\t#2\n\tswi";
void __sexit()="\tlda\t#0\n\tswi";
#endif

#include <stdio.h>

int __write(int h,const char *p,size_t l)
{
  size_t n=l;
  while(n){
   __sputc(*p++);
   n--;
  }
  return l;
}
